package de.cweiske.jOnlineControl;

import java.net.InetAddress;



/**
 * provides router status information
 *
 * @author Christian Weiske <cweiske@cweiske.de>
 */
public class Status
{

	private boolean connected;
	private InetAddress wanIp;
	private InetAddress wanSubnetMask;
	private InetAddress wanGateway;
	private InetAddress primaryDns;
	private InetAddress secondaryDns;



	public boolean isConnected()
	{
		return connected;
	}



	public void setConnected( boolean connected )
	{
		this.connected = connected;
	}



	public InetAddress getWanIp()
	{
		return wanIp;
	}



	public void setWanIp( InetAddress wanIp )
	{
		this.wanIp = wanIp;
	}



	public InetAddress getWanSubnetMask()
	{
		return wanSubnetMask;
	}



	public void setWanSubnetMask( InetAddress wanSubnetMask )
	{
		this.wanSubnetMask = wanSubnetMask;
	}



	public InetAddress getWanGateway()
	{
		return wanGateway;
	}



	public void setWanGateway( InetAddress wanGateway )
	{
		this.wanGateway = wanGateway;
	}



	public InetAddress getPrimaryDns()
	{
		return primaryDns;
	}



	public void setPrimaryDns( InetAddress primaryDns )
	{
		this.primaryDns = primaryDns;
	}



	public InetAddress getSecondaryDns()
	{
		return secondaryDns;
	}



	public void setSecondaryDns( InetAddress secondaryDns )
	{
		this.secondaryDns = secondaryDns;
	}



	public String toString()
	{
		return
			  "Connected:     " + this.isConnected() + "\r\n"
			+ "WAN IP:        " + ip2string(this.getWanIp())         + "\r\n"
			+ "Subnet mask:   " + ip2string(this.getWanSubnetMask()) + "\r\n"
			+ "Gateway:       " + ip2string(this.getWanGateway())    + "\r\n"
			+ "Primary DNS:   " + ip2string(this.getPrimaryDns())    + "\r\n"
			+ "Secondard DNS: " + ip2string(this.getSecondaryDns())  + "\r\n"
				;
	}



    public static String ip2string(InetAddress ip)
    {
        if (ip == null) {
            return "";
        } else {
            return ip2string(ip.getHostAddress());
        }
    }//public static String ip2string(InetAddress ip)



    public static String ip2string(String ip)
    {
        if (ip == null) {
            return "";
        } else if (ip.charAt(0) == '/') {
            return ip.substring(1);
        } else {
            return ip;
        }
    }//public static String ip2string(String ip)


}//public class Status
