package de.cweiske.jOnlineControl.connectors;

import de.cweiske.jOnlineControl.Status;


/**
 * Interface for Router implementations
 *
 * @author Christian Weiske <cweiske@cweiske.de>
 */
public interface Connector
{

    /**
     * Sets the IP address of the host (or a domain name)
     * @param address
     * @return if the address is a valid IP/host
     */
    public boolean setAddress(String address);



    /**
     * Returns the IP used to connect to
     * @return the ip.
     */
    public String getAddress();



    /**
     * Returns the default router ip.
     * @return Returns the default router ip.
     */
    public String getDefaultIp();



    /**
     * tells the router to connect to the internet
     */
    public boolean connect();



    /**
     * tells the router to disconnect from the internet
     */
    public boolean disconnect();



    /**
     * returns the current status information
     */
    public Status getStatus();

}//public interface Connector

