package de.cweiske.jOnlineControl.connectors;

/**
 * Hardcoded list with drivers.
 */
public class DriverList
{
    /**
     * Driver list (hardcoded)
     */
    public static final String[] drivers = {"Telekom", "FritzBox", "Ping"};



    public static Connector createNewInstance(String driver)
    {
        Class driverClass;
        try {
            driverClass = Class.forName("de.cweiske.jOnlineControl.connectors." + driver);
        } catch (ClassNotFoundException e) {
            System.err.println("There is no driver \"" + driver + "\".");
            driverClass = de.cweiske.jOnlineControl.connectors.Telekom.class;
        }

        Connector connector = null;
        try {
            connector = (Connector)driverClass.newInstance();
        } catch (Exception e) {
            System.err.println("The driver \"" + driver + "\" is damaged.");
            System.exit(2);
        }

        return connector;
    }//public static Connector createNewInstance(String driver)

}//public class DriverList